Module temp

    Sub Dokument_erstellen()

        'Neue Dokumentid lösen
        Dim Dokumentid As String = ""
        Dokumentid = Globals.DivFnkt.Generate_Key


        'Dokumenttyp auslesen
        Dim dokumenttyp As New edokadb.clsDokumenttyp()
        dokumenttyp.iDokumenttypnr = New SqlInt32(CType(Gewählte_Dokumenttyp_nr))

        Dim dok As New edokadb.clsDokument()
        dok.cpMainConnectionProvider = conn_edoka
        dok.sDokumentid = New SqlString(CType(Dokumentid, String))

        '***************************************************************************************************************3
        'Defaultwerte für das Dokument
        '***************************************************************************************************************3
        dok.bAktiv = New SqlBoolean(True)
        dok.bAmsdokument = New SqlBoolean(CType(False, Boolean))
        dok.bAuserstuebernahme = New SqlBoolean(CType(False, Boolean))
        dok.bAusgangsarchiviert = New SqlBoolean(CType(False, Boolean))
        dok.iStatus_edoka_batch_ausgang = Nothing
        dok.daTermin = New SqlDateTime(CType("01.01.1900", DateTime))
        dok.bBereit_zur_archivierung = New SqlBoolean(CType(True, Boolean))
        dok.bEingangsarchiviert = New SqlBoolean(CType(False, Boolean))
        dok.bGesperrt = New SqlBoolean(CType(False, Boolean))
        dok.bUnvollstaendig = New SqlBoolean(CType(False, Boolean))
        dok.iBck = New SqlInt32(CType(1, Int32))
        dok.iColdstatus = New SqlInt32(CType(0, Int32))
        dok.iUnterschriftlinks = New SqlInt32(CType(0, Int32))
        dok.iUnterschriftrechts = New SqlInt32(CType(0, Int32))
        dok.iVerantwortlich = New SqlInt32(CType(Globals.Mitarbeiternr, Int32))
        dok.bVertraulich = New SqlBoolean(CType(False, Boolean))
        dok.sZustelladresse = New SqlString(CType("", String))
        dok.sAnredezustelladresse = New SqlString(CType("", String))
        dok.iZustaendiger = New SqlInt32(CType(Globals.Mitarbeiternr, Int32))
        dok.iPostzustellung = New SqlInt32(CType(0, Int32))
        dok.bZustaendig_kube = New SqlBoolean(CType(0, Boolean))
        dok.iMa_ausgangsarchivierung = New SqlInt32(CType(0, Int32))
        dok.iMa_eingangsarchivierung = New SqlInt32(CType(0, Int32))
        dok.sBemerkung = New SqlString(CType("", String))
        dok.sColddokumentid = New SqlString(CType("", String))
        dok.iDokdurchkubeweitergegeben = New SqlInt32(CType(0, Int32))
        dok.sBedRDokumentid = New SqlString(CType("", String))

        '***************************************************************************************************************3
        'Werte aus Dokumenttyp
        '***************************************************************************************************************3
        dok.iDokumenttypnr = New SqlInt32(CType(dokumenttyp.iDokumenttypnr.Value, Int32))
        dok.bZu_retournieren = New SqlBoolean(CType(dokumenttyp.bZu_retournieren.Value, Boolean))
        dok.iAufbewahrung_elektronisch = New SqlInt32(CType(dokumenttyp.iAufbewahrungsfrist_elektronisch.Value, Int32))
        dok.iAufbewahrung_phaysisch = New SqlInt32(CType(dokumenttyp.iAufbewahrungsfrist_physisch.Value, Int32))
        dok.iBearbeitung_nach_abschluss = New SqlInt32(CType(dokumenttyp.iTage_mutation.Value, Int32))
        dok.iBearbeitungszeit_in_minuten = New SqlInt32(CType(dokumenttyp.iDbearbeitungszeit.Value, Int32))
        dok.iMonierung_in_tagen = New SqlInt32(CType(dokumenttyp.iAnzahl_tage.Value, Int32))
        dok.sBezeichnung = New SqlString(CType(dokumenttyp.sBezeichnung.Value, String))

    End Sub
 

End Module
